Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 242066

Summary: Clean up xattr code in gfs2
Product: [Fedora] Fedora Reporter: Steve Whitehouse <swhiteho>
Component: GFS-kernelAssignee: Steve Whitehouse <swhiteho>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: high    
Version: 10CC: bashton
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-22 11:29:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 236099, 236102, 307431, 455571    
Attachments:
Description Flags
Work in progress - not finished none

Description Steve Whitehouse 2007-06-01 14:47:32 UTC
This is so I don't forget about this item... in order to make progress on the
patches to merge the transactions in both create & unlink we need to clean up
the xattr code first as the locking order wrt some of the operations will need
to change.

Also we promised the upstream kernel folks that we'd use the generic xattr code
(it seems there is no reason why we can't) rather than duplicating that in gfs2.

Comment 1 Ryan O'Hara 2007-11-20 20:22:51 UTC
While fixing BZ 307431, I noticed that a lot of the code in the xattr calls can
be removed. If you look at the vfs xattr calls (which call xattr_permission), it
appears we are duplicating that code in gfs2.

Just wanted to make a note in the BZ about this chunk of code.



Comment 3 Steve Whitehouse 2008-08-05 08:50:49 UTC
This isn't a FutureFeature, its actually a prerequisite for a bug fix, although it does enable some FutureFeatures as well.

Comment 4 Bug Zapper 2008-11-26 01:54:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Steve Whitehouse 2008-12-11 11:26:29 UTC
Created attachment 326605 [details]
Work in progress - not finished

I'm just adding my work in progress here as a back up.

Comment 6 Steve Whitehouse 2009-09-22 11:29:41 UTC
This went upstream at the 2.6.31 merge window.